Octave does not print latex symbols (fig2dev not available?)

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Octave does not print latex symbols (fig2dev not available?)

szam
Hi to everyone

After upgrading to Ubuntu 14 octave (does not seem to be able to print tex labels (like ylabel('\phi')) anymore.

Probably this is related with this warning message:

"warning: print.m: fig2dev binary is not available.
Some output formats are not available."

Any idea on how to solve this?

Samuel

Reply | Threaded
Open this post in threaded view
|

Re: Octave does not print latex symbols (fig2dev not available?)

bpabbott
Administrator
On Sep 17, 2014, at 8:29 AM, szam <[hidden email]> wrote:

> Hi to everyone
>
> After upgrading to Ubuntu 14 octave (does not seem to be able to print tex
> labels (like ylabel('\phi')) anymore.
>
> Probably this is related with this warning message:
>
> "warning: print.m: fig2dev binary is not available.
> Some output formats are not available."
>
> Any idea on how to solve this?
>
> Samuel

I should probably be able to figure this out via the web, but ... what version of Octave and which graphics toolkit are you using?

Ben



_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: Octave does not print latex symbols (fig2dev not available?)

bpabbott
Administrator
On Sep 17, 2014, at 5:22 PM, Ben Abbott <[hidden email]> wrote:

> On Sep 17, 2014, at 8:29 AM, szam <[hidden email]> wrote:
>
>> Hi to everyone
>>
>> After upgrading to Ubuntu 14 octave (does not seem to be able to print tex
>> labels (like ylabel('\phi')) anymore.
>>
>> Probably this is related with this warning message:
>>
>> "warning: print.m: fig2dev binary is not available.
>> Some output formats are not available."
>>
>> Any idea on how to solve this?
>>
>> Samuel
>
> I should probably be able to figure this out via the web, but ... what version of Octave and which graphics toolkit are you using?
>
> Ben

For Octave 3.8.1 (which is available for Ubuntu 14.04), the gnuplot graphics toolkit supports TeX.

        close all
        graphics_toolkit gnuplot
        plot (rand (3))
        xlabel ('\phi')
        print test.png

Ben


_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: Octave does not print latex symbols (fig2dev not available?)

szam
Thanks for the reply, Ben!

The "graphics_toolkit gnuplot" line did the trick!  

I did not need to write that in my previous versions of octave to see that "phi" properly. This might also be related with these warnings appearing when using octave now (version 3.8.1 with ubuntu 14.04 LTS)

warning: function /usr/share/octave/packages/specfun-1.1.0/erfcinv.m shadows a built-in function
warning: function /usr/share/octave/packages/specfun-1.1.0/ellipke.m shadows a core library function
warning: function /usr/share/octave/packages/specfun-1.1.0/expint.m shadows a core library function
warning: function /usr/lib/i386-linux-gnu/octave/packages/specfun-1.1.0/i686-pc-linux-gnu-api-v49+/ellipj.oct shadows a built-in function

Thanks again for your help,

Samuel